Package org.eclipse.emf.cdo.spi.common.revision

## Interface InternalCDOList.ConfigurableEquality

- All Superinterfaces:
    `CDOList`, `java.util.Collection<java.lang.Object>`, `org.eclipse.emf.common.util.EList<java.lang.Object>`, `InternalCDOList`, `java.lang.Iterable<java.lang.Object>`, `java.util.List<java.lang.Object>`, `org.eclipse.net4j.util.collection.MoveableList<java.lang.Object>`
  Enclosing interface:
    InternalCDOList

      public static interface InternalCDOList.ConfigurableEquality
      extends InternalCDOList

  A mix-in interface for `InternalCDOList` that allows to optimize the speed of equality checks.
  Since:
    4.2
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.spi.common.revision.InternalCDOList

      `InternalCDOList.ConfigurableEquality`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.spi.common.revision.InternalCDOList

      `UNINITIALIZED`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `setUseEquals​(boolean useEquals)` |

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.revision.CDOList

      `get`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream, toArray`

    - ### Methods inherited from interface org.eclipse.emf.common.util.EList

      `move, move`

    - ### Methods inherited from interface org.eclipse.emf.cdo.spi.common.revision.InternalCDOList

      `adjustReferences, clone, freeze, setWithoutFrozenCheck`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface java.util.List

      `add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray`

    - ### Methods inherited from interface org.eclipse.net4j.util.collection.MoveableList

      `move`

- - ### Method Detail

    - #### setUseEquals

          void setUseEquals​(boolean useEquals)